DROP DATABASE IF EXISTS BOOK_DB;
CREATE DATABASE BOOK_DB;
GRANT ALL ON BOOK_DB.* TO 'wso2carbon'@'%' IDENTIFIED BY 'wso2carbon';

USE BOOK_DB;

CREATE TABLE images (
  id INTEGER NOT NULL AUTO_INCREMENT,
  name varchar(255) DEFAULT NULL,
  bytes LONGBLOB,
  type varchar(255) DEFAULT NULL,
  book INTEGER NULL,
  PRIMARY KEY (id)
) ENGINE INNODB;

CREATE TABLE IF NOT EXISTS books (
             id  INTEGER NOT NULL AUTO_INCREMENT,
             title VARCHAR (255) NOT NULL,
             autor VARCHAR (255) NOT NULL,
             userName VARCHAR (255) NOT NULL,
             price DECIMAL(10,2),
             published INTEGER DEFAULT 0,
             PRIMARY KEY (id)
)ENGINE INNODB;

ALTER TABLE images ADD CONSTRAINT img_fk FOREIGN KEY (book) REFERENCES books(id) ON DELETE CASCADE ;